Organization categories
Lists the expense categories that the organization has configured. The expense categories are tied to a specific expense type. For example the ReceiptVerification expense type may have categories named Travel, Hotel and Entertainment.
When listing categories for ReceiptVerification a scanResultId can be provided which comes from an already scanned receipt image when uploading content or when performing a scan on a saved content. Then this endpoint may return 0-3 suggestions on expense categories that matches the receipt image. The order of the suggestions is based on highest probability.
When the organization uses employee groups, per diem categories that are restricted to an employee group the user is not in are not listed.
curl --request GET \
--url https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/expensetypes/{expenseType}/categories \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/expensetypes/{expenseType}/categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/expensetypes/{expenseType}/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/expensetypes/{expenseType}/categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/expensetypes/{expenseType}/categories"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/expensetypes/{expenseType}/categories")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/expensetypes/{expenseType}/categories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"count": 4,
"total": 4,
"sections": [
{
"id": 0,
"text": "Suggestions"
},
{
"id": 1,
"text": "General expenses"
},
{
"id": 2,
"text": "Representation"
}
]
},
"data": [
{
"id": "7cba84cad5d344dc8a2d866702c9e64a",
"name": "Ticket",
"section": 1,
"iconUrl": "https://expense.findity.com/api/resources/d824240167f84891be71e9b4ba820cf9",
"type": "OtherExpenseCategory"
},
{
"id": "faccadb954cc4a4884265da8616e9f94",
"name": "Parking",
"section": 1,
"iconUrl": "https://expense.findity.com/api/resources/a77fde810a25448da17d6187156ab296",
"type": "OtherExpenseCategory"
},
{
"id": "1a6d6846fda243e7a94ef0c7aa37b9ce",
"name": "Travel",
"section": 1,
"iconUrl": "https://expense.findity.com/api/resources/6f52b24eb4ba482baaa34cb87bd1831c",
"type": "OtherExpenseCategory"
},
{
"id": "edc4479716ce4f888629d39827a011b7",
"name": "Entertainment",
"section": 2,
"iconUrl": "https://expense.findity.com/api/resources/f01e168be84e461593453fe5edd919ae",
"type": "RepresentationExpenseCategory"
}
],
"suggestions": [
{
"id": "7cba84cad5d344dc8a2d866702c9e64a",
"name": "Ticket",
"section": 0,
"iconUrl": "https://expense.findity.com/api/resources/d824240167f84891be71e9b4ba820cf9",
"type": "OtherExpenseCategory"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the organization of the user UUID without dashes (32-character hex string)
^[0-9a-fA-F]{32}$Expense type where CarSpecification relates to Mileage, SubsistenceAllowance to Per Diem, etc
CarSpecification, FoodBenefitsSpecification, FuelBenefitsSpecification, ReceiptVerification, SubsistenceAllowance Query Parameters
A scan result to get suggested categories from. If included 0-3 suggestions will be included. UUID without dashes (32-character hex string)
^[0-9a-fA-F]{32}$max records to return
1 <= x <= 1000the offset to be used in list
x >= 0Response
OK
Hide child attributes
Hide child attributes
UUID without dashes (32-character hex string)
^[0-9a-fA-F]{32}$OtherExpenseCategory, RepresentationExpenseCategory, SubsistenceAllowanceCategory, AbroadPurchaseExpenseCategory, MileageExpenseCategory, FuelBenefitsExpenseCategory, FoodBenefitsExpenseCategory Hide child attributes
Hide child attributes
UUID without dashes (32-character hex string)
^[0-9a-fA-F]{32}$OtherExpenseCategory, RepresentationExpenseCategory, SubsistenceAllowanceCategory, AbroadPurchaseExpenseCategory, MileageExpenseCategory, FuelBenefitsExpenseCategory, FoodBenefitsExpenseCategory curl --request GET \
--url https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/expensetypes/{expenseType}/categories \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/expensetypes/{expenseType}/categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/expensetypes/{expenseType}/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/expensetypes/{expenseType}/categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/expensetypes/{expenseType}/categories"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/expensetypes/{expenseType}/categories")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/expensetypes/{expenseType}/categories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"count": 4,
"total": 4,
"sections": [
{
"id": 0,
"text": "Suggestions"
},
{
"id": 1,
"text": "General expenses"
},
{
"id": 2,
"text": "Representation"
}
]
},
"data": [
{
"id": "7cba84cad5d344dc8a2d866702c9e64a",
"name": "Ticket",
"section": 1,
"iconUrl": "https://expense.findity.com/api/resources/d824240167f84891be71e9b4ba820cf9",
"type": "OtherExpenseCategory"
},
{
"id": "faccadb954cc4a4884265da8616e9f94",
"name": "Parking",
"section": 1,
"iconUrl": "https://expense.findity.com/api/resources/a77fde810a25448da17d6187156ab296",
"type": "OtherExpenseCategory"
},
{
"id": "1a6d6846fda243e7a94ef0c7aa37b9ce",
"name": "Travel",
"section": 1,
"iconUrl": "https://expense.findity.com/api/resources/6f52b24eb4ba482baaa34cb87bd1831c",
"type": "OtherExpenseCategory"
},
{
"id": "edc4479716ce4f888629d39827a011b7",
"name": "Entertainment",
"section": 2,
"iconUrl": "https://expense.findity.com/api/resources/f01e168be84e461593453fe5edd919ae",
"type": "RepresentationExpenseCategory"
}
],
"suggestions": [
{
"id": "7cba84cad5d344dc8a2d866702c9e64a",
"name": "Ticket",
"section": 0,
"iconUrl": "https://expense.findity.com/api/resources/d824240167f84891be71e9b4ba820cf9",
"type": "OtherExpenseCategory"
}
]
}
